Bug 1224961 - site-defaults.cfg claims that config_opts['yum_common_opts'] is a must while the other configs do not set it
Summary: site-defaults.cfg claims that config_opts['yum_common_opts'] is a must while ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 09:56 UTC by Radek Holy
Modified: 2015-10-06 02:14 UTC (History)
7 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:15:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Radek Holy 2015-05-26 09:56:03 UTC
Description of problem:
IIUIC, /etc/mock/site-defaults.cfg serves also as a documentation of the config format. It says:

> [...]
> # MUST SET (in individual chroot cfg file):
> [...]
> # config_opts['yum_common_opts'] = []
> [...]

On the other hand, no default config (e.g. /etc/mock/fedora-rawhide-x86_64.cfg) sets it.


Version-Release number of selected component (if applicable):
mock-1.2.8-1.fc22.noarch


How reproducible:
always


Steps to Reproduce:
1. install mock
2. compare /etc/mock/site-defaults.cfg with /etc/mock/fedora-rawhide-x86_64.cfg


Actual results:
config_opts['yum_common_opts'] marked as a must but not set in the default configs


Expected results:
Either remove the option from the "MUST SET" section or set it in all the default configs.

Comment 1 Miroslav Suchý 2015-05-26 14:53:05 UTC
Fixed in commit:
  * a676003 sync comments in site-defaults.cfg with code [RHBZ#1224961]

I moved it from zone MUST to zone CAN SET.
I added few more option, which is used in code as well.

Comment 2 Radek Holy 2015-05-26 14:57:34 UTC
Thank you!

Comment 3 Fedora Update System 2015-06-04 11:34:56 UTC
mock-1.2.10-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.fc22

Comment 4 Fedora Update System 2015-06-04 11:38:03 UTC
mock-1.2.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.fc21

Comment 5 Fedora Update System 2015-06-04 11:39:08 UTC
mock-1.2.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.fc20

Comment 6 Fedora Update System 2015-06-04 11:41:30 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 7 Fedora Update System 2015-06-04 11:42:13 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 8 Fedora Update System 2015-06-04 15:55:06 UTC
Package mock-1.2.10-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.10-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6557/mock-1.2.10-1.el7
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-09 15:15:19 UTC
mock-1.2.10-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-18 13:22:32 UTC
mock-1.2.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-18 13:27:25 UTC
mock-1.2.10-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-20 21:09:37 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-20 21:12:56 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.